import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToSewooLKPSensorType Converter")

class GenericToSewooLKPSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "3"
		elif myList[0] == "Gap":
			res = "0"
		elif myList[0] == "Mark":
			res = "1"
		return res




plugin = GenericToSewooLKPSensorType("GenericToSewooLKPSensorType")

store.AddConverter(plugin)